# $Revision: 1.36 $, $Date: 2011/03/19 22:44:56 $
Summary:	EXIF and IPTC metadata manipulation tools
Summary(pl.UTF-8):	Narzędzia do obróbki metadanych EXIF i IPTC
Name:		exiv2
Version:	0.21.1
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://www.exiv2.org/%{name}-%{version}.tar.gz
# Source0-md5:	5c99bbcaa998f6b200b92f2bf0ac4f9e
Patch0:		%{name}-mkinstalldirs.patch
Patch1:		%{name}-png_support.patch
URL:		http://www.exiv2.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EXIF and IPTC metadata manipulation tools.

%description -l pl.UTF-8
Narzędzia do obróbki metadanych EXIF i IPTC.

%package libs
Summary:	EXIF and IPTC metadata manipulation library
Summary(pl.UTF-8):	Biblioteka do obróbki metadanych EXIF i IPTC
Group:		Libraries

%description libs
EXIF and IPTC metadata manipulation library.

%description libs -l pl.UTF-8
Biblioteka do obróbki metadanych EXIF i IPTC.

%package devel
Summary:	EXIF and IPTC metadata manipulation library development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki do obróbki metadanych EXIF i IPTC
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
EXIF and IPTC metadata manipulation library development files.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki do obróbki metadanych EXIF i IPTC.

%package static
Summary:	EXIF and IPTC metadata manipulation static library
Summary(pl.UTF-8):	Statyczna biblioteka do obróbki metadanych EXIF i IPTC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
EXIF and IPTC metadata manipulation static library.

%description static -l pl.UTF-8
Statyczna biblioteka do obróbki metadanych EXIF i IPTC.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

ln -s config/configure.ac .

# AX_CXX_CHECK_FLAG
tail -n +10113 config/aclocal.m4 >> acinclude.m4

%build
%{__libtoolize} --install
%{__aclocal}
%{__autoconf}
# don't touch autoheader, config.h.in has been manually modified
%configure

%{__make} \
	CFLAGS="%{rpmcflags} -Wall" \
	CXXFLAGS="%{rpmcxxflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	incdir=%{_includedir}/exiv2 \
	libdir=%{_libdir} \
	bindir=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/ChangeLog README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/exiv2.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexiv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexiv2.so.10

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexiv2.so
%{_libdir}/libexiv2.la
%{_includedir}/%{name}
%{_pkgconfigdir}/exiv2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexiv2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exiv2.spec,v $
Revision 1.36  2011/03/19 22:44:56  qboosh
- updated to 0.21.1 (note: new soname)
- removed obsolete gcc44 patch
- configure patch replaced by proper fix

Revision 1.35  2010/08/02 17:04:15  caleb
- Up to 0.20

Revision 1.34  2010/01/19 22:39:13  glen
- EXIF/IPTC caps

Revision 1.33  2010/01/19 22:34:24  glen
- ldconfig and package ghost soname symlink; rel 2

Revision 1.32  2009/12/03 19:58:50  shadzik
- 0.18.2
- add -configure.patch

Revision 1.31  2009/11/04 17:05:51  sls
- added gcc44.patch

Revision 1.30  2009/11/04 16:51:07  sls
- BR: expat-devel

Revision 1.29  2008/07/30 19:30:03  qboosh
- Group changed to Applications/Graphics

Revision 1.28  2008/07/21 12:08:37  sls
- added png_support.patch
- rel. 3

Revision 1.27  2008/07/21 11:23:50  sls
- BR: gettext-devel

Revision 1.26  2008/06/25 18:29:22  qboosh
- BR libtool 2 (for libtoolize --install)

Revision 1.25  2008/06/25 08:46:27  adamg
- pass --install to libtoolize (fixes build)
- release 2

Revision 1.24  2008/06/24 18:25:09  draenog
- up to 0.17.1 (fixes CVE-2008-2696)

Revision 1.23  2008/02/14 21:45:09  rotom
- up to 0.16
- find_lang added

Revision 1.22  2007/07/10 16:34:37  rotom
- up to 0.15

Revision 1.21  2007/06/22 17:04:52  rotom
- bad BR, my mistake, removed

Revision 1.20  2007/06/22 16:46:56  rotom
- BR added

Revision 1.19  2007/06/21 16:00:39  shadzik
- up to 0.14

Revision 1.18  2007/04/16 21:05:16  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 2.

Revision 1.17  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.15  2006/11/27 18:21:19  rotom
- up to 0.12

Revision 1.14  2006/11/24 07:50:51  qboosh
- specify man name too

Revision 1.13  2006/11/23 15:12:33  blues
- move exiv2-config to devel package.

Revision 1.12  2006/11/23 14:14:05  qboosh
- no autoheader, now builds finally
- added pkgconfig file

Revision 1.11  2006/11/23 13:44:47  qboosh
- fixed build by refreshing libtool to version compatible with ksh in posix mode
- BR+R: zlib-devel
- fixed License (GPL v2 or any later version)

Revision 1.10  2006/11/23 13:40:39  glen
- sed is required by rpm-build

Revision 1.9  2006/11/23 13:13:17  blues
- 0.11, does not build:
- hidden symbol `__dso_handle' in /usr/lib/gcc-lib/athlon-pld-linux/3.3.6/crtbegin.o is referenced by DSO

Revision 1.8  2006/05/25 09:58:33  pluto
- release 1.

Revision 1.7  2006/04/27 19:51:42  qboosh
- complete URL

Revision 1.6  2006/04/26 17:24:23  bszx
- updated to 0.9.1

Revision 1.5  2005/09/02 18:37:55  qboosh
- base R: -libs, -devel R: libstdc++-devel
- moved .so symlink to -devel
- use optflags

Revision 1.4  2005/09/02 18:16:47  qboosh
- pl, fixed -devel dep

Revision 1.3  2005/09/02 16:48:23  darekr
- License: GPL v2

Revision 1.2  2005/09/02 16:46:52  darekr
- md5sum

Revision 1.1  2005/09/02 12:19:32  wrobell
- based on template
